/******************************************************************************/
/* System Level #define Macros                                                */
/******************************************************************************/
/* Device header file */
#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#endif

/* Microcontroller MIPs (FCY) */
#define SYS_FREQ        40000000L
#define FCY             SYS_FREQ/4
#define _XTAL_FREQ      40000000L

/******************************************************************************/
/* System Function Prototypes                                                 */
/******************************************************************************/

/* Custom oscillator configuration funtions, reset source evaluation
functions, and other non-peripheral microcontroller initialization functions
go here. */

void ConfigureOscillator(void); /* Handles clock switching/osc initialization */
