/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/
// Definition of hardware version
#define RevA 1 //first hardware version
#define RevB 2

// Current revision is:
#define MOTOVER  RevA
//#define MOTOVER  RevB
//#define MOTOVER  RevC

// 3.3V power pin
#define PULSE_LAT   LATBbits.LATB5
#define PULSE_PORT  PORTBbits.RB5
#define PULSE_TRIS  TRISBbits.TRISB5

//usart1 pins
#define TurnOnUSART1() {TRISCbits.TRISC7 = 1; TRISCbits.TRISC6 = 1;}

// Turn on and turn off 3.3V power
#define mTurnOnPower()  {PULSE_LAT = 1; PULSE_TRIS = 0;}
#define mTurnOffPower()  {PULSE_LAT = 0; PULSE_TRIS = 1;}

// LEDs
#define LEDs_LAT    LATC
#define LEDs_TRIS   TRISC
#define LED0        LATCbits.LATC0
#define LED0_TRIS   TRISCbits.TRISC0

/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

void InitApp(void);         /* I/O and Peripheral Initialization */
void Delay_ms(long atraso);
